/* The next 4 lines will be used only to test the query */
DECLARE @FromDate Date
DECLARE @ToDate Date
SET @FromDate = 2011-09-01
SET @ToDate   = 2011-10-30


/* Top 10 Most Frequent Reports */
SELECT TOP 10   
      COUNT(Name) AS ExecutionCount
    , Name AS ReportName
    , SUM(TimeDataRetrieval) AS TimeDataRetrievalSum
    , SUM(TimeProcessing) AS TimeProcessingSum
    , SUM(TimeRendering) AS TimeRenderingSum
    , SUM(ByteCount) AS ByteCountSum
    , SUM([RowCount]) AS RowCountSum
FROM
( SELECT c.Name, TimeDataRetrieval, TimeProcessing, TimeRendering, ByteCount, [RowCount]
    FROM  Catalog c INNER JOIN ExecutionLog e 
    ON c.ItemID = e.ReportID
     WHERE e.TimeStart BETWEEN @FromDate AND @ToDate AND Type = 2
) AS RS
GROUP BY Name
ORDER BY COUNT(Name) DESC, Name 
